import { requestClient } from '#/api/request';

enum Api {
  querybaseApi = '/taskTemplate/template/list',
  // 新增任务模板
  addbaseApi = '/taskTemplate/template',
}

// 查询任务模板列表
export function querybaseApilist(params?: any) {
  return requestClient.get(Api.querybaseApi, params);
}
// 新增任务模板
export function addbaseApi(post: any) {
  return requestClient.post(Api.addbaseApi, post, {
    successMessageMode: 'message',
  });
}
// // 修改岗位
// export function updatePost(post: Post) {
//   return requestClient.put(Api.baseApi, post, {
//     successMessageMode: 'message',
//   });
// }
// // 删除岗位
// export function deletePost(postId: number[]) {
//   return requestClient.delete(`${Api.baseApi}/${postId.join(',')}`, {
//     successMessageMode: 'message',
//   });
// }
